Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 116896 - nvidia-kernel - unknown symbols when built with gcc 4.1
Summary: nvidia-kernel - unknown symbols when built with gcc 4.1
Status: RESOLVED DUPLICATE of bug 114725
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-27 09:19 UTC by Vladimir Lushnikov
Modified: 2005-12-27 09:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Lushnikov 2005-12-27 09:19:58 UTC
media-video/nvidia-kernel-1.0.8174-r1 and sys-devel/gcc-4.1.0_beta20051223 nvidia module fails to load because of unresolved system errors:

nvidia: Unknown symbol remap_page_range
nvidia: Unknown symbol pci_find_class

The solution is described in ttp://www.nvnews.net/vbulletin/showthread.php?t=61874 and fixes the problem.

Please add this patch:


diff -ru usr/src/nv/conftest.sh usr/src/nv.1438624/conftest.sh
--- usr/src/nv/conftest.sh	2005-11-23 03:22:31.000000000 +0100
+++ usr/src/nv.1438624/conftest.sh	2005-12-20 15:43:27.287128500 +0100
@@ -25,6 +25,13 @@
 -nostdinc -isystem $ISYSTEM \
 -Werror -Wimplicit-function-declaration"
 
+touch conftest$$.c
+$CC -Wno-attributes -c conftest$$.c > /dev/null 2>&1
+if [ $? -eq 0 ]; then
+    CFLAGS="$CFLAGS -Wno-attributes"
+fi
+rm -f conftest$$.*
+
 if [ "$OUTPUT" != "$SOURCES" ]; then
     CFLAGS="$CFLAGS -I$OUTPUT/include2 -I$OUTPUT/include \
 -I$HEADERS -I$HEADERS/asm/mach-default"
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2005-12-27 09:24:58 UTC

*** This bug has been marked as a duplicate of 114725 ***